%define oname	libdc1394
%define major 	22
%define name	%{oname}-20
%define version 2.0.3
%define release %mkrel 1

%define libname %mklibname dc1394_ %major
%define libname_devel %mklibname dc1394_ %major -d

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPLv+
Group: 		System/Libraries
Source0: 	%{oname}-%{version}.tar.gz
URL: 		http://sourceforge.net/projects/libdc1394/
Buildroot: 	%{_tmppath}/%{oname}-%{version}-%{release}-buildroot
BuildRequires: 	libraw1394-devel
BuildRequires: 	libsm-devel
BuildRequires: 	libxv-devel
Requires: 	libraw1394 kernel >= 2.4.2
Summary: 	Library for 1394 Digital Camera Specification

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification.

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Obsoletes:	%mklibname dc1394_ 20

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification.

%package -n 	%{libname_devel}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	%name-devel = %{version}-%{release}
Obsoletes:	%mklibname -d libdc1394_ 20
#gw the version in main
Conflicts:	%mklibname -d dc1394

%description -n %{libname_devel}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification.

This archive contains the header-files for libdc1394 development

%prep
%setup -q -n  %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%{_libdir}/*.so.%{major}*
%{_mandir}/man?/*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_bindir}/dc1394_reset_bus
%{_bindir}/dc1394_vloopback
%{_includedir}/dc1394/
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/libdc1394-2.pc


%changelog
* Mon Dec 29 2008 Stefan van der Eijk <stefan@mandriva.org> 2.0.3-1mdv2009.1
+ Revision: 320968
- 2.0.3

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.0.2-3mdv2009.0
+ Revision: 279059
- add devel conflict

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.2-2mdv2009.0
+ Revision: 267808
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Stefan van der Eijk <stefan@mandriva.org> 2.0.2-1mdv2009.0
+ Revision: 205936
- add man pages
- 2.0.2
- 2.0.1

* Sat Jan 05 2008 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 145766
- bump major from 21 to 22
- 2.0.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - remove URL from description

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-0.rc9.3mdv2008.1
+ Revision: 139545
- obsoletes old devel package

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-0.rc9.2mdv2008.1
+ Revision: 139543
- use correct libname

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc9.1mdv2008.1
+ Revision: 120327
- rc9
- rc8
- 2.0.0-rc7
- 2.0.0-rc6


* Sun Jan 21 2007 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc5.1mdv2007.0
+ Revision: 111235
- 2.0.0-rc5

* Fri Dec 08 2006 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc4.1mdv2007.1
+ Revision: 93870
- 2.0.0-rc4

* Mon Oct 23 2006 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc3.1mdv2007.0
+ Revision: 71681
- 2.0.0-rc3
- Import libdc1394-20

* Tue May 09 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre7.1mdk
- 2.0.0-pre7

* Mon Mar 20 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre6.1mdk
- 2.0.0-pre6

* Tue Dec 27 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre5.1mdk
- 2.0.0-pre5
- %%mkrel

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.0.0-2mdk
- rebuild for libraw1394

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- new major (old one incorrect btw.?)

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.5-2mdk
- lib64 fixes

* Thu Jul 15 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- fix bad char in Requires.

* Sun Jun 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4

